"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNgModuleAnnotations = void 0;
const reflect_1 = require("./reflect");
function getNgModuleAnnotations(ngModule) {
    const { imports = [], providers = [], declarations = [], exports = [], entryComponents = [], schemas = [], } = reflect_1.reflect.resolveModule(ngModule) || {};
    return { imports, providers, declarations, exports, entryComponents, schemas };
}
exports.getNgModuleAnnotations = getNgModuleAnnotations;
//# sourceMappingURL=get-ng-module-annotations.js.map