import { Component, Directive, NgModule, Pipe, PipeTransform } from '@angular/core';
declare type IODefinition = {
    propertyName: string;
    alias: string;
};
declare type InputsAndOutputs = {
    inputs: IODefinition[];
    outputs: IODefinition[];
};
export declare const reflect: {
    resolveComponent: (thing: any) => Component;
    resolveDirective: (thing: any) => Directive;
    resolveModule: (thing: any) => NgModule;
    resolvePipe: (thing: any) => Pipe | null;
    isComponent: (thing: any) => boolean;
    isDirective: (thing: any) => boolean;
    isNgModule: (thing: any) => boolean;
    isPipe: (thing: any) => thing is PipeTransform;
    isStandalone: (thing: any) => boolean;
    getInputsAndOutputs(componentOrDirective: any): InputsAndOutputs;
};
export {};
